Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | List of all members
LatBuilder::LatSeq::Combiner< LAT, GENSEQ, POLICY > Class Template Reference

Sequence of lattices based on a combination of integer sequences. More...

`#include <Combiner.h>`

Inherits LatBuilder::BridgeSeq< Combiner< LAT, GENSEQ, POLICY >, SeqCombiner< GENSEQ, POLICY >, LatDef< LAT >, BridgeIteratorCached >.

## Public Types
typedef self_type::Base | Base
typedef self_type::value_type | value_type
typedef self_type::size_type | size_type
typedef GENSEQ | GenSeq
Public Types inherited from LatBuilder::BridgeSeq< Combiner< LAT, GENSEQ, POLICY >, SeqCombiner< GENSEQ, POLICY >, LatDef< LAT >, BridgeIteratorCached >
typedef BridgeSeq< Combiner < LAT, GENSEQ, POLICY > , SeqCombiner< GENSEQ, POLICY > , LatDef< LAT > , BridgeIteratorCached > | BridgeSeq_
typedef SeqCombiner< GENSEQ, POLICY > | Base
typedef LatDef< LAT > | value_type
typedef Base::size_type | size_type
typedef BridgeIteratorCached < Combiner< LAT, GENSEQ, POLICY > > | const_iterator

## Public Member Functions
| Combiner (SizeParam< LAT > sizeParam, std::vector< GenSeq > genSeqs)
| Constructor. More...
const SizeParam< LAT > & | sizeParam () const
| Returns the size parameter of the lattices in the sequence.
Dimension | latDimension () const
| Returns the dimension of the lattices.
value_type | element (const typename Base::const_iterator &it) const
| Computes and returns the output value.
Public Member Functions inherited from LatBuilder::BridgeSeq< Combiner< LAT, GENSEQ, POLICY >, SeqCombiner< GENSEQ, POLICY >, LatDef< LAT >, BridgeIteratorCached >
| BridgeSeq (Base base=Base())
| Constructor. More...
Base & | base ()
| Returns the base sequence.
const Base & | base () const
void | setBase (Base b)
| Changes the base sequence to `b`.
const_iterator | begin () const
| Returns an iterator pointing to the first element in the sequence.
const_iterator | end () const
| Returns an iterator pointing past the last element in the sequence.

## Detailed Description

### template<LatType LAT, class GENSEQ, template< class > class POLICY>
class LatBuilder::LatSeq::Combiner< LAT, GENSEQ, POLICY >

Sequence of lattices based on a combination of integer sequences.

Contains all lattices with the same size parameter and dimension, with components of the generating vectors taken from a user-specified vector of integer sequences, one corresponding to each coordinate.

Template Parameters

  LAT | Type of lattice.
  GENSEQ | Type of sequence of generator values.
  POLICY | See SeqCombiner.

## Constructor & Destructor Documentation

template<LatType LAT, class GENSEQ, template< class > class POLICY>

LatBuilder::LatSeq::Combiner< LAT, GENSEQ, POLICY >::Combiner | ( | SizeParam< LAT > | sizeParam,
|  | std::vector< GenSeq > | genSeqs
| ) |  |
| inline

Constructor.

Parameters

  sizeParam | Common lattice size parameter.
  genSeqs | Sequence of sequences of generator values each component of the generating vector can take.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/LatSeq/Combiner.h